# const_mem_fun1_t Class Template Reference
[Adaptors for pointers to members]

Inheritance diagram for const_mem_fun1_t:

List of all members.

### template<class _Ret, class _Tp, class _Arg>
class std::const_mem_fun1_t< _Ret, _Tp, _Arg >

## Public Types

- typedef const _Tp * first_argument_type
- typedef _Ret result_type
- typedef _Arg second_argument_type

## Public Member Functions

- const_mem_fun1_t (_Ret(_Tp::*__pf)(_Arg) const)
- _Ret operator() (const _Tp *__p, _Arg __x) const

## Member Typedef Documentation

typedef const _Tp * first_argument_type `[inherited]`

| the type of the first argument Definition at line 116 of file stl_function.h.

typedef _Ret result_type `[inherited]`

| type of the return type Definition at line 120 of file stl_function.h.

typedef _Arg second_argument_type `[inherited]`

| (no surprises here) the type of the second argument Definition at line 119 of file stl_function.h.

The documentation for this class was generated from the following file:

- stl_function.h